/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*Remove body margin*/
body{
	margin: 0px !important;
}
/*Stop x overflow*/
html, body {
	overflow-x: hidden;
}

/*-----GRAVITY FORMS-----*/
.gform_required_legend {
    display: none!important;
}
/*All input areas text color*/
.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
  color: var( --e-global-color-secondary );
}
body .gform_wrapper ::placeholder,
body .gform_wrapper ::-webkit-input-placeholder,
body .gform_wrapper input[placeholder] {
  color: var( --e-global-color-secondary )!important;
}
#gform_confirmation_message_2 {
  color: var( --e-global-color-secondary )!important;
}
/*Text fields*/
.gform_wrapper
  input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]) {
  border-radius: 0px !important;
  padding: 10px 10px 10px 10px !important;
  border-color: var( --e-global-color-22c65ab1 ) !important;
  border-width: 1px !important;
  border-style: solid !important;
}
/*Paragraph fields*/
.gform_wrapper textarea {
  padding: 10px 10px 10px 10px !important;
/*   margin-top: 12px !important; */
  border-width: 1px !important;
  border-color: var( --e-global-color-22c65ab1 ) !important;
  border-style: solid !important;
  border-radius: 0px !important;
}
/*Select fields*/
.gform_wrapper select {
	border-radius: 0px !important;
	border: solid 1px var( --e-global-color-secondary )!important;
	padding: 8px!important;
}
/*Field lables*/
.gform_wrapper label.gfield_label,
.gform_wrapper legend.gfield_label {
  font-weight: 500 !important;
  color: var( --e-global-color-secondary );
  margin-bottom: 10px !important;
  margin-top: 10px !important;
}
/*Radio button and checkbox alignment*/
.gform_wrapper.gf_browser_chrome .gfield_checkbox li input,
.gform_wrapper.gf_browser_chrome .gfield_checkbox li input[type="checkbox"],
.gform_wrapper.gf_browser_chrome .gfield_radio li input[type="radio"] {
  margin-top: 0px !important;
}
body .gform_wrapper ul li.gfield {
  margin-top: 0px !important;
}
/*Submit button alignment*/
.gform_wrapper {
  margin: 0 0 0 0 !important;
  border:0px;
}
.gform_legacy_markup_wrapper .gform_footer {
    padding: 0px !important;
}

/*-----GUTENBERG BLOCKS-----*/
/*Padding for tables*/
.wp-block-table.is-style-stripes td, .wp-block-table.is-style-stripes th {
    padding: 10px;
}
/*Margin for divider*/
.wp-block-separator.is-style-wide {
    border-bottom-width: 1px;
    margin-top: 30px;
    margin-bottom: 30px;
}



/* Additional CSS */

/* General */

#navItems li.menu-item>a:hover,
#navItems li.menu-item>a.elementor-item elementor-item-active {
	text-shadow: -1px -1px 0 var(--e-global-color-primary), 1px -1px 0 var(--e-global-color-primary), -1px 1px 0 var(--e-global-color-primary), 1px 1px 0 var(--e-global-color-primary);
	color: var(--e-global-color-secondary);
}

.elementor-loop-container .e-loop-item:hover .artistImage::before {
    filter: none !important;
	transition: filter 0.3s;
}

.elementor-loop-container .e-loop-item:hover .artistContainer {
	background-color: var(--e-global-color-secondary) !important;
}

.elementor-social-icons-wrapper span.elementor-grid-item:has(a:not([href])) {
    display: none !important;
}

/* Home */

.redOutlineText h2 {
	text-shadow: -1px -1px 0 var(--e-global-color-secondary), 1px -1px 0 var(--e-global-color-secondary), -1px 1px 0 var(--e-global-color-secondary), 1px 1px 0 var(--e-global-color-secondary);
}

.primaryOutlineText h2 {
	text-shadow: -1px -1px 0 var(--e-global-color-primary), 1px -1px 0 var(--e-global-color-primary), -1px 1px 0 var(--e-global-color-primary), 1px 1px 0 var(--e-global-color-primary);
}

.ticker-tape-effect {
  white-space: nowrap;
  animation: ticker 20s linear infinite;
}
@keyframes ticker {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}


/* Services */

#servicesAccordian .e-n-accordion>details:last-of-type summary.e-n-accordion-item-title {
    border-bottom: 0px;
}

.whiteSpaceNoWrap {
	white-space: nowrap;
}

/* New Releases */

.newReleaseItem div.elementor-widget-text-editor,
.newReleaseItem div.elementor-widget-heading,
.newReleaseItem div.listeningLinks {
	display: none;
}

.newReleaseItem:hover div.elementor-widget-text-editor,
.newReleaseItem:hover div.elementor-widget-heading,
.newReleaseItem:hover div.listeningLinks {
	display: block;
}

.newReleaseItem {
    width: 300px !important;
    height: 300px !important;
}

/* Whats New */

a.elementor-post__read-more {
	background-color: var(--e-global-color-secondary);
    border-style: solid;
    border-width: 2.5px 2.5px 2.5px 2.5px;
    border-color: var(--e-global-color-secondary);
    border-radius: 0px 0px 0px 0px;
    padding: 10px 20px 10px 20px;
	border-style: solid;
    border-width: 2.5px 2.5px 2.5px 2.5px;
    border-color: var(--e-global-color-secondary);
}

a.elementor-post__read-more:hover {
	background-color: var(--e-global-color-primary) !important;
    color: var(--e-global-color-secondary) !important;
}

.newReleaseContainer img,
.newReleaseContainer iframe {
	max-height: 152px;
}

/* Contact us */

.gform-body.gform_body div.gfield div>::placeholder {
    opacity: 0.5 !important;
}

.gform_wrapper.gravity-theme .gfield_label {
	font-size: 14px !important;
}

/* Blogs */

.category-blog h2 {
	font-size: var(--e-global-typography-78cc71b-font-size);
	font-family: var( --e-global-typography-78cc71b-font-family);
	line-height: var(--e-global-typography-c5bec08-line-height);
	font-weight: var(--e-global-typography-78cc71b-font-weight);
	text-transform: var(--e-global-typography-78cc71b-text-transform);
    color: #54595F;
}

span.elementor-post-info__item--type-terms {
	visibility: hidden !important;
}


a.elementor-post-info__terms-list-item {
	padding: 3px 6.5px 4.5px !important;
    background-color: red !important;
    border-radius: 25px !important;
    border: 1px solid red !important;
    visibility: visible !important;
    transition: all 350ms;
	color: white !important;
}

a.elementor-post-info__terms-list-item:hover{
    background-color: white !important;
	color: red !important;
}
/* 
a.elementor-post-info__terms-list-item[href$="/category/blog/"] {
    display: none !important;
} */



/* MEDIA QUERIES */

/* Tablet */
@media only screen and (max-width: 1024px) {
	.whiteSpaceNoWrap {
		white-space: unset;
	}
	
	#navItems li.menu-item>a:hover,
	#navItems li.menu-item>a.elementor-item elementor-item-active {
		text-shadow: unset;
	}
	
	.newReleaseItem div.elementor-widget-text-editor,
	.newReleaseItem div.elementor-widget-heading,
	.newReleaseItem div.listeningLinks{
		display: block;
	}
	
	
}

/* Mobile */
@media only screen and (max-width: 768px) {
	.newReleaseContainer img,
	.newReleaseContainer iframe {
		max-height: unset;
	}
	
}

/* end of MEDIA QUERIES */

/* end of Additional CSS */
